Contractor Payment Deductions
Get Contractor Deduction Templates
Retrieve contractor deduction templates for a company, optionally filtered by contractorID or deduction_type.
GET
/
contractor-deduction-templates
Get Contractor Deduction Templates
curl --request GET \
--url https://api.zeal.com/contractor-deduction-templates \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/contractor-deduction-templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/contractor-deduction-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"deductionTemplateID": "48ffb95239326ca8713eadb2",
"companyID": "fc235f012bae46aa8a082f357715bcfa",
"contractorID": "669fe6216d9eff8ca4c9f0de",
"custom_name": "Child Support - John Doe",
"deduction_type": "garnishments",
"deduction_credit": false,
"effective_start_date": "2025-01-01",
"effective_end_date": null,
"external_id": null,
"employee_contribution_amount": 500,
"employee_contribution_percentage": null,
"employer_contribution_amount": null,
"employer_contribution_percentage": null,
"agency_name": "State Child Support Agency",
"agency_address": "123 Main St, City, State 12345",
"case_id": "CS-2025-001",
"order_number": null
}
]
}{
"success": false,
"errors": [
{
"message": "Contractor deduction template not found.",
"code": 135
}
]
}Authorizations
Query Parameters
ID of company
ID of contractor
Available options:
miscellaneous, garnishment ⌘I
Get Contractor Deduction Templates
